
From: Dominik Brodowski <linux@dominikbrodowski.net>

More visible user information of scheduled feature removal.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/pcmcia_ioctl.c |   12 ++++++++++++
 1 files changed, 12 insertions(+)

diff -puN drivers/pcmcia/pcmcia_ioctl.c~pcmcia-warn-on-ioctl-usage drivers/pcmcia/pcmcia_ioctl.c
--- devel/drivers/pcmcia/pcmcia_ioctl.c~pcmcia-warn-on-ioctl-usage	2005-09-11 12:27:51.000000000 -0700
+++ devel-akpm/drivers/pcmcia/pcmcia_ioctl.c	2005-09-11 12:29:08.000000000 -0700
@@ -376,6 +376,7 @@ static int ds_open(struct inode *inode, 
     socket_t i = iminor(inode);
     struct pcmcia_socket *s;
     user_info_t *user;
+    static int warning_printed = 0;
 
     ds_dbg(0, "ds_open(socket %d)\n", i);
 
@@ -407,6 +408,17 @@ static int ds_open(struct inode *inode, 
     s->user = user;
     file->private_data = user;
 
+    if (!warning_printed) {
+	    printk(KERN_INFO "pcmcia: Detected deprecated PCMCIA ioctl "
+			"usage.\n");
+	    printk(KERN_INFO "pcmcia: This interface will soon be removed from "
+			"the kernel; please expect breakage unless you upgrade "
+			"to new tools.\n");
+	    printk(KERN_INFO "pcmcia: see http://www.kernel.org/pub/linux/"
+			"utils/kernel/pcmcia/pcmcia.html for details.\n");
+	    warning_printed = 1;
+    }
+
     if (s->pcmcia_state.present)
 	queue_event(user, CS_EVENT_CARD_INSERTION);
     return 0;
_
